package intrinsic.mx.messaging.channels.amfx;

public class AMFXDecoder extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AMFXDecoder() {
}


/** Static Methods */
public static native Object decodeValue(intrinsic.XML arg0, intrinsic.mx.messaging.channels.amfx.AMFXContext arg1);

/** Methods */
public native intrinsic.mx.messaging.channels.amfx.AMFXResult decode(intrinsic.XML arg0);

}
